import org.junit.jupiter.api.*;

class CalculateMethodsTest {
    private CalculateMethods calculateMethods;

    @BeforeEach
    void setUp() {
        calculateMethods = new CalculateMethods();
    }

    @Test
    @DisplayName("test divide")
    void testDivide() {
        Assertions.assertEquals(10, calculateMethods.divide(100, 10));
    }

    @Test
    @DisplayName("test divide by zero")
    void testDivideByZero() {
        Assertions.assertThrows(ArithmeticException.class, () -> calculateMethods.divide(100, 0));
    }

    @AfterEach
    void tearDown() {
        calculateMethods = null;
    }
}